Home

# Class goog.testing.fs.FileEntry

A mock file entry object.

extends goog.testing.fs.Entry

Instance Method Summary
| `clone() ⇒ !goog.testing.fs.Entry`
| `createWriter() ⇒ !goog.async.Deferred`
| `file() ⇒ !goog.async.Deferred`
| `fileSync() ⇒ !goog.testing.fs.File` Get the internal file representation synchronously, without waiting for a Deferred to resolve.
| `getLastModified() ⇒ !goog.async.Deferred`
| `isDirectory() ⇒ boolean`
| `isFile() ⇒ boolean`